/*
 * Heretic PSP
 * Upstream authors can be found in doc/AUTHORS
 * See docs about original license, the README.txt says that
 * code changes must be GPL'ed
 * PSP Port: Copyright (c) 2005 Gianluigi Tiesi <sherpya@netfarm.it>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __SOUND_H__
#define __SOUND_H__

#include <doomdef.h>

void S_StartSound(void *origin, int sfx_id);
void S_UpdateSounds(void *listener_p);
void S_ChangeMusic(int musicnum, int looping);
void S_Init(int sfxVolume, int musicVolume);
void S_Start(void);
void S_StartSound(void *origin, int sfx_id);
void S_PauseSound(void);
void S_ResumeSound(void);
void S_StopSound(void *origin);
void S_StopMusic(void);
void S_SetSfxVolume(int volume);
void S_SetMusicVolume(int volume);
void S_StartSoundAtVolume(void *origin_p, int sfx_id, int volume);

void I_InitSound(void);
void I_InitMusic(void);
void I_ShutdownSound(void);
void I_SetChannels(void);
int I_RegisterSong(void *data);
int I_GetSfxLumpNum(sfxinfo_t *sfx);
int I_StartSound(int id, int vol, int sep, int pitch, int priority);
void I_PauseSong(int handle);
void I_ResumeSong(int handle);
int I_SoundIsPlaying(int handle);
void I_UpdateSoundParams(int handle, int vol, int sep, int pitch);
void I_PlaySong(int handle, int looping);
void I_StopSong(int handle);
void I_UnRegisterSong(int handle);
void I_StopSound(int handle);
void I_SetMusicVolume(int volume);
void I_ShutdownMusic(void);

extern int snd_SfxVolume;
extern int snd_MusicVolume;

#endif /* __SOUND_H__ */
