/*
 * Heretic PSP
 * Upstream authors can be found in doc/AUTHORS
 * See docs about original license, the README.txt says that
 * code changes must be GPL'ed
 * PSP Port: Copyright (c) 2005 Gianluigi Tiesi <sherpya@netfarm.it>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * $Log: doomtype.h,v $
 * Revision 1.4  1998/10/16 06:33:04  chris
 * moved FALSE and TRUE definition outside of '#ifndef HAVE_VALUES_H'
 * block (was slipped in there by mistake)
 *
 * Revision 1.4  1999/01/13 20:47:xx  Andre` Werthmann
 * changed Heretic-source to work under Linux/GGI
 *
 * Revision 1.3  1998/10/14 23:17:42  chris
 * introduced __32BIT__ and __64BIT__ defines
 *
 * Revision 1.2  1998/09/27 22:37:43  chris
 * values.h isn't always present
 *
 * Revision 1.1  1998/09/27 22:18:42  chris
 * Initial revision
 *
 *
 * DESCRIPTION:
 * Simple basic typedefs, isolated here to make it easier
 * separating modules.
 *
 */


#ifndef __DOOMTYPE__
#define __DOOMTYPE__

#ifndef __BYTEBOOL__
#define __BYTEBOOL__
enum true_false { false, true };
typedef int boolean;
typedef unsigned char byte;
#endif

/* 32bit defines */
#define MAXCHAR  ((char)0x7f)
#define MAXSHORT ((short)0x7fff)

/* Max pos 32-bit int. */
#define MAXINT   ((int)0x7fffffff)
#define MAXLONG  ((long)0x7fffffff)
#define MINCHAR  ((char)0x80)
#define MINSHORT ((short)0x8000)

/* Max negative 32-bit integer. */
#define MININT   ((int)0x80000000)
#define MINLONG  ((long)0x80000000)

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE  1
#endif

#include <sys/types.h>

#endif /* __DOOMTYPE__ */
